{% extends '/easyAdmin/layout/linked_user_layout.html.twig' %}

{#vendor/easycorp/easyadmin-bundle/src/Resources/views/layout.html.twig#}


{% block content %}
    <link href="/css/product.css" rel="stylesheet">
    {# TODO creer un twig container pour la deuxieme bar menu gestion product #}
    {# add translation on this twig #}
    <div class = "container">
    <div class="row  post-login-card">
        <div class="col-12">
            <h1 class="col-6">{{ product.name }}</h1>
            <a class="col-6" href="{{ path('app_company_update_product_upload', {companySlug: company.companySlug, productReference: product.productReference})  }}" class="text-muted">{%trans%}edit images{%endtrans%}</a>
        </div>
        <div class="col-4">
            <p>{%trans%}Product description: {%endtrans%}{{ product.description }}</p>
            <p>{%trans%}Price in big: {%endtrans%}{{ product.bigCost }}</p>
            {% if product.disponibility == 1 %}
                <p>{%trans%}this product is available{%endtrans%}</p>
            {% else  %}
                <p>{%trans%}this product is not available{%endtrans%}</p>
            {% endif %}
            <p>{%trans%}Product category:{%endtrans%}
                {% for categorie in categories %}
                    {{ categorie.name }}
                {% endfor %}
            </p>
        </div>
        <div class="col-4">
            <p>{%trans%}product reference:{%endtrans%} {{ product.productReference}} </p>
            <p>{%trans%}sub-category:{%endtrans%} {% for catParent in catParents %}
                    {{ catParent.name }}
                {% endfor %}</p>
            <button class="btn btn-primary" type="button">{%trans%}Estimate{%endtrans%}</button>
        </div>
        <div class="col-4">
            <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                    {% for key, imgProduct in imgProducts %}
                        <div class="carousel-item {%if loop.first %} active {% endif %}">
                            <img class="d-block w-100" src="{{imgProduct.filePath }}/{{ imgProduct.imageName }}" alt="{{ imgProduct.imageName }}">
                        </div>
                    {% endfor %}
                </div>
                <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">{%trans%}Previous{%endtrans%}</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">{%trans%}Next{%endtrans%}</span>
                </a>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row  post-login-card">
            <h2 class="col-6">{%trans%}Storage:{%endtrans%}</h2>
            <a href="{{ path('app_company_investment_update_choice_stockpile_product', {companySlug: company.companySlug, investmentSlug: investment.investmentSlug})  }} " class="text-muted col-1 offset-5">{%trans%}Edit{%endtrans%}</a>
            <div class="col-4">
                <p>{%trans%}Warehouse:{%endtrans%} {{ stockpile.name }}</p>
                <p>{%trans%}City : {%endtrans%}{{ stockpile.city }}</p>
                {% if product.quantity != null %}
                    <p>{%trans%}Quantity :{%endtrans%} {{ product.quantity }}</p>
                {% else %}
                    <p>{%trans%}no product in stock{%endtrans%}</p>
                {% endif %}
            </div>
            <div class="col-4">
                <p>{%trans%}Investment line:{%endtrans%}{{ investment.name }}</p>
                <p>{%trans%}my investment: {%endtrans%}{{ investment.name }}</p>
            </div>
            <div class="col-4">
                <p>{%trans%}my investment: (under development){%endtrans%}</p>
            </div>
        </div>
    </div>
        <div class="container">
            <div class="row post-login-card">
                <h3 class="col-6">{%trans%}Object ownership{%endtrans%}</h3>
                <a href="" class="text-muted col-1 offset-5">{%trans%}Edit{%endtrans%}</a>
                <div class="col-4">
                    <p>{%trans%}Length:{%endtrans%} {{product.length}}</p>
                    <p>{%trans%}Weight:{%endtrans%}{{product.weight}} </p>
                    {% if product.current != null %}
                        <p>{%trans%}Current:{%endtrans%}{{product.current}} </p>
                    {% else %}
                        <p>{%trans%}This product does not use current{%endtrans%}</p>
                    {% endif %}
                </div>
                <div class="col-4">
                    <p>{%trans%}Height: {%endtrans%}{{ product.height }}</p>
                    <p>{%trans%}Transport volume:{%endtrans%}{{ product.transportVolume }}</p>
                    {% if product.power != null %}
                        <p>{%trans%}Current:{%endtrans%}{{product.power}} </p>
                    {% else %}
                        <p>{%trans%}this product does not use current{%endtrans%}</p>
                    {% endif %}
                </div>
                <div class="col-4">
                    <p>
                        {%trans%}width:{%endtrans%}{{ product.width }}
                    </p>
                    <p>
                        {%trans%}prepared by:{%endtrans%}{{ product.preparedBy }}
                    </p>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row post-login-card">
                <H4 class="col-6">{%trans%}Product restriction{%endtrans%}</H4>
                <a href="" class="text-muted  col-1 offset-5">{%trans%}Edit{%endtrans%}</a>
                {% for  limitTypeLimitation in limitTypeLimitations  %}
                    <!-- Button trigger modal -->
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalRestriction">
                        {{ limitTypeLimitation.name }}
                    </button>
                    <!-- Modal -->
                    <div class="modal fade" id="modalRestriction" tabindex="-1" role="dialog" aria-labelledby="modalRestrictionlLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="modalRestrictionLabel">{{ limitTypeLimitation.name }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <p>{{ limitTypeLimitation.description }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
{% endblock content %}